/*
 * File         : Intercomm.java
 * Author       : Xinying Li
 * Created      : Thu Apr  9 12:22:15 1998
 * Revision     : $Revision: 1.3 $
 * Updated      : $Date: 1998/04/09 18:39:48 $
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */

package mpi;
import mpi.*;

public class Intercomm extends Comm {

  public Intercomm() {}
  public Intercomm(int Type) { GetComm(Type);}
  public Intercomm(long _handle) { handle = _handle;}

  public Comm Dup()
  {  return new Intercomm(super.dup());
     }
//  public native long dup();

	// Inter-Communication
	public native int Remote_size();

 	public native long remote_group();
    public Group Remote_group()
	{  return new Group(remote_group());
		}

	public Intracomm Merge(boolean high)
	{ return new Intracomm(merge(high));
	  }
	public native long merge(boolean high);
}
