/*
 * File         : Graphcomm.java
 * Author       : Xinying Li
 * Created      : Thu Apr  9 12:22:15 1998
 * Revision     : $Revision: 1.4 $
 * Updated      : $Date: 1998/04/09 18:39:47 $
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */

package mpi;

public class Graphcomm extends Intracomm {

  public Graphcomm() {}
  public Graphcomm(long _handle) { handle = _handle;}  

  public native GraphParms Get();

  public Comm Dup()
  {  return new Graphcomm(super.dup());
     }
//  public native long dup();

  public native int [] Neighbours(int rank);

  public native int Map(int [] index, int [] edges);

}

